import { GeneratorCallback, Tree } from '@nx/devkit';
import type { Schema, NormalizedSchema } from './schema';
export declare function normalizeOptions(host: Tree, options: Schema, callingGenerator?: string): Promise<NormalizedSchema>;
/**
 * Firebase application generator
 *
 * @param host
 * @param schema
 * @returns
 */
export declare function applicationGenerator(host: Tree, schema: Schema): Promise<GeneratorCallback>;
export default applicationGenerator;
export declare const applicationSchematic: (generatorOptions: Schema) => (tree: any, context: any) => Promise<any>;
