import type { Tree } from '@nx/devkit';
export declare const nodeEsVersion: Record<string, string>;
/**
 * With firebase cli > 10.0.1 now compatible with node versions >=14 we can use es modules rather than commonjs
 *
 * @param tree
 * @param options
 */
export declare function updateTsConfig(tree: Tree, projectRoot: string, runTime: string, format: 'esm' | 'cjs'): void;
