import { GeneratorCallback, Tree } from '@nx/devkit';
import type { Schema, NormalizedSchema } from './schema';
export declare function normalizeOptions(host: Tree, options: Schema, callingGenerator?: string): Promise<NormalizedSchema>;
/**
 * Firebase 'functions' application generator
 * Uses the `@nx/node` application generator as a base implementation
 *
 * @param host
 * @param schema
 * @returns
 */
export declare function functionGenerator(host: Tree, schema: Schema): Promise<GeneratorCallback>;
export default functionGenerator;
export declare const functionSchematic: (generatorOptions: Schema) => (tree: any, context: any) => Promise<any>;
