import { type GeneratorCallback, type Tree } from '@nx/devkit';
import type { InitGeneratorOptions } from './schema';
/**
 * `nx g @simondotm/nx-firebase:init`
 *
 * Ensures the necessary firebase packages are installed in the nx workspace
 * It also adds `@nx/node` if it is not already installed
 *
 */
export declare function initGenerator(host: Tree, schema: InitGeneratorOptions): Promise<GeneratorCallback>;
export default initGenerator;
