"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapEntries = exports.mapValues = exports.mapKeys = exports.debugInfo = void 0;
const devkit_1 = require("@nx/devkit");
// debug info just for plugin
const ENABLE_DEBUG_INFO = false;
function debugInfo(info) {
    if (ENABLE_DEBUG_INFO) {
        devkit_1.logger.info(info);
    }
}
exports.debugInfo = debugInfo;
function mapKeys(map) {
    return JSON.stringify([...map.keys()], null, 3);
}
exports.mapKeys = mapKeys;
function mapValues(map) {
    return JSON.stringify([...map.values()], null, 3);
}
exports.mapValues = mapValues;
function mapEntries(map) {
    return JSON.stringify([...map.entries()], null, 3);
}
exports.mapEntries = mapEntries;
//# sourceMappingURL=debug.js.map